﻿<%@ Page Language="C#" MasterPageFile="~/MasterPages/MasterPage.master" AutoEventWireup="true"  ValidateRequest="false"
    CodeFile="FormsSignIn.aspx.cs" Inherits="FormsSignIn" Title="<%$ Resources:CommonResources, FormsSignInPageTitle%>"
    EnableViewState="false" runat="server"%>
<%@ OutputCache Location="None" %>

<asp:Content ID="FormsSignInContent" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
<!-- PINsafe customisation start -->
<!-- NOTE: it is not necessary to replace the entire sign-in page with this one.
     The only absolute requirement is the addition of a password field for one-time code.
	 The JavaScript and corresponding image for TURing are only necessary if single channel is to be used. -->
<!-- Insert the following script to enable display of PinPad -->
<script language="JavaScript">

function ShowPinpad() {
    var usernameField = document.getElementById("ctl00_ContentPlaceHolder1_UsernameTextBox");
	var username = usernameField.value;
	if (username && username != "") {
	    var thisRow = document.getElementById("PinpadRow");
	    thisRow.style.display = "";
	    var sessionId = Math.floor(Math.random() * 10000);
		for (var idx = 0; idx < 10; idx++) {
		    var img = document.getElementById("imgPinpad" + idx);
			if (img) {
				img.src = "./pinpad_image.aspx?username=" + username + "&padno=" + sessionId + ":" + idx;
			}
		}
	}
}

function AddDigit(digit) {
    var textField = document.getElementById("otc");
    if (textField) {
        textField.value = textField.value + digit;
    }
    return false;
}

function ClearOTC() {
    var otcField = document.getElementById("otc");
    if (otcField) {
        otcField.value = "";
    }
    return false;
}

</script>
<!-- PINsafe customisation end -->
    <div class="GroupXLargeMargin"><asp:Label Text="<%$ Resources:CommonResources, FormsSignInHeader%>" runat="server" /></div>
    <table class="UsernamePasswordTable">
        <tr>
            <td>
                <span class="Label"><asp:Label Text="<%$ Resources:CommonResources, UsernameLabel%>" runat="server" /></span>
            </td>
            <td>
                <asp:TextBox runat="server" ID="UsernameTextBox" ></asp:TextBox>            
            </td>
            <td class="TextColorSecondary TextSizeSmall">
                <asp:Label Text="<%$ Resources:CommonResources, UsernameExample%>" runat="server" />
            </td>
        </tr>
        <tr>
            <td>
                <span class="Label"><asp:Label Text="<%$ Resources:CommonResources, PasswordLabel%>" runat="server" /></span>
            </td>
            <td>
                <asp:TextBox runat="server" ID="PasswordTextBox" TextMode="Password" ></asp:TextBox>            
            </td>
            <td>&nbsp;</td>
        </tr>
		<!-- PINsafe customisation start -->
		<!-- Insert the following table row to add a one-time code field -->
        <tr>
            <td>
                <span class="Label">OTC</span>
            </td>
            <td>
                <input type="password" ID="otc" name="otc" />
            </td>
            <td>&nbsp;</td>
        </tr>
		<!-- PINsafe customisation end -->
        <tr>
            <td></td>
            <td colspan="2" class="TextSizeSmall TextColorError">
                <asp:Label ID="ErrorTextLabel" runat="server" Text="" Visible="False"></asp:Label>
            </td>
        </tr>
        <tr>
            <td colspan="2">
                <div class="RightAlign GroupXLargeMargin">
                    <asp:Button ID="SubmitButton" runat="server" Text="<%$ Resources:CommonResources, FormsSignInButtonText%>" OnClick="SubmitButton_Click" CssClass="Resizable"/>
                </div>
            </td>
            <td>&nbsp;</td>
        </tr>
    </table>
	<!-- PINsafe customisation start -->
	<!-- Insert the following table to display the TURing image -->
	<table>
        <tr id="pinpadRow" style="display: none">
            <th align="center" colspan="3">
                <table>
                    <tr>
                        <td><img onclick="AddDigit('1')" id="imgPinpad1" /></td>
                        <td><img onclick="AddDigit('2')" id="imgPinpad2" /></td>
                        <td><img onclick="AddDigit('3')" id="imgPinpad3" /></td>
                    </tr>
                    <tr>
                        <td><img onclick="AddDigit('4')" id="imgPinpad4" /></td>
                        <td><img onclick="AddDigit('5')" id="imgPinpad5" /></td>
                        <td><img onclick="AddDigit('6')" id="imgPinpad6" /></td>
                    </tr>
                    <tr>
                        <td><img onclick="AddDigit('7')" id="imgPinpad7" /></td>
                        <td><img onclick="AddDigit('8')" id="imgPinpad8" /></td>
                        <td><img onclick="AddDigit('9')" id="imgPinpad9" /></td>
                    </tr>
                    <tr>
                        <td><img onclick="ClearOTC()" alt="Clear" id="imgPinpadClear" src="images/Clear.png"/></td>
                        <td><img onclick="AddDigit('0')" id="imgPinpad0" /></td>
                        <td><img onclick="ShowPinpad()" alt="Refresh" id="imgPinpadShow" src="images/Refresh.png"/></td>
                    </tr>
                </table>
            </th>
        </tr>
	</table>
	<!-- PINsafe customisation end -->
</asp:Content>
